Bug 2241260 - CVE-2023-5217 libvpx: Heap buffer overflow in vp8 encoding in libvpx [fedora-all]
Summary: CVE-2023-5217 libvpx: Heap buffer overflow in vp8 encoding in libvpx [fedora-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvpx
Version: 38
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2023-Tweety, CVE-2023-5217
TreeView+ depends on / blocked
 
Reported: 2023-09-28 20:27 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-10-23 01:24 UTC (History)
2 users (show)

Fixed In Version: libvpx-1.13.0-5.fc38 libvpx-1.13.0-5.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-01 04:55:17 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2023-09-28 20:27:13 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2241191

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Guilherme de Almeida Suckevicz 2023-09-28 20:27:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2241191,2241260

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-09-29 17:20:39 UTC
FEDORA-2023-c896cf87db has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c896cf87db

Comment 3 Fedora Update System 2023-09-29 17:20:39 UTC
FEDORA-2023-f696934fbf has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f696934fbf

Comment 4 Fedora Update System 2023-09-29 17:20:40 UTC
FEDORA-2023-10ff82e497 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-10ff82e497

Comment 5 Fedora Update System 2023-09-30 03:31:20 UTC
FEDORA-2023-10ff82e497 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-10ff82e497`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-10ff82e497

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-09-30 04:46:10 UTC
FEDORA-2023-c896cf87db has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c896cf87db`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c896cf87db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-09-30 05:54:31 UTC
FEDORA-2023-f696934fbf has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f696934fbf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f696934fbf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-01 04:55:17 UTC
FEDORA-2023-c896cf87db has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-10-02 00:15:42 UTC
FEDORA-2023-10ff82e497 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-10-07 01:29:08 UTC
FEDORA-2023-f696934fbf has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f696934fbf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f696934fbf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-23 01:24:19 UTC
FEDORA-2023-f696934fbf has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.